#ifndef SDK_NET_H
#define SDK_NET_H

#include <typedefs.h>


typedef struct {
	
} SOCKET_BUFFER_T;


typedef struct _SOCKET_T SOCKET_T;				// Инкапсуляция структуры

#ifdef __cplusplus
extern "C" {
#endif

BOOL dl_wvim_alloc_socket_buff( SOCKET_BUFFER_T * buff, size_t size, BOOL param2 );	// param2 = FALSE
void dl_wvim_socket_close( SOCKET_T * socket );

// ф-ция сама выделяет память под буфер сокера :-\, возвращает сколько байт прочитано
size_t dl_wvim_socket_read( SOCKET_T * socket );



// уровень виртуального девайса "модем"?
DL_DSMA_ProxyCreate( SU_PORT_T port );				// создать соединение?
DL_DSMA_ProxyDestroy( UINT32 proxi_id );			// убить соединение с нетом, disconnect ???
DL_DSMA_ProxyDeactivateSocket( UITN32 proxi_id );		// убить один сокет, close socket ???
size_t DL_DSMA_ProxyRead( UINT32 proxy_id, BYTE * data, size_t size );		// ??






#ifdef __cplusplus
} /* extern "C" */
#endif

#endif // SDK_UTIL_H